# Context Images

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Upload screenshots that show translators and LINAs where a text appears. An image belongs to one project language and can be attached to segments of that project.

## Operations

- [`GET /v2/projects/{projectId}/context-images`](https://developers.lingohub.com/reference/v2/operations/listcontextimages.md): List context images
- [`POST /v2/projects/{projectId}/context-images`](https://developers.lingohub.com/reference/v2/operations/createcontextimage.md): Upload a context image
- [`POST /v2/context-images/{contextImageId}/detach`](https://developers.lingohub.com/reference/v2/operations/detachcontextimage.md): Detach a context image from segments
- [`POST /v2/context-images/{contextImageId}/attach`](https://developers.lingohub.com/reference/v2/operations/attachcontextimage.md): Attach a context image to segments
- [`GET /v2/context-images/{contextImageId}`](https://developers.lingohub.com/reference/v2/operations/getcontextimage.md): Retrieve a context image
- [`DELETE /v2/context-images/{contextImageId}`](https://developers.lingohub.com/reference/v2/operations/deletecontextimage.md): Delete a context image
- [`PATCH /v2/context-images/{contextImageId}`](https://developers.lingohub.com/reference/v2/operations/updatecontextimage.md): Update a context image
